Bug 240664 - devel/awscli: Use mandoc instead of groff for DOCS and suggest auto-complete
Summary: devel/awscli: Use mandoc instead of groff for DOCS and suggest auto-complete
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bradley T. Hughes
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-18 10:37 UTC by nork
Modified: 2019-09-26 03:55 UTC (History)
1 user (show)

See Also:
bhughes: maintainer-feedback+


Attachments
awscli's patch file (1.96 KB, patch)
2019-09-18 10:37 UTC, nork
no flags Details | Diff
awscli's patch file (2.64 KB, patch)
2019-09-18 14:55 UTC, nork
no flags Details | Diff
awscli's patch file (2.71 KB, patch)
2019-09-18 16:09 UTC, nork
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nork 2019-09-18 10:37:06 UTC
Created attachment 207600 [details]
awscli's patch file

'aws help' required groff, but it's toooo big dependencies for 'help'.
I wrote a simple patch using mandoc(1) instead of groff(1).
So no dependency on textprof/groff.

And, I feel unkindness to use auto-complete for awscli,
I think that should be display how to auto-complete.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-18 10:44:00 UTC
Thank you for the report and patch.

Is there a chunk missing for pkg-message to "display how to auto-complete." ?
Comment 2 nork 2019-09-18 14:55:04 UTC
Created attachment 207604 [details]
awscli's patch file

Oops, sorry.  I forgot svn add files/pkg-message.in.
Comment 3 nork 2019-09-18 16:09:10 UTC
Created attachment 207607 [details]
awscli's patch file

I rewrote awscli/help.py's patch.
Because I'll pull-request to upstream.
Comment 4 Bradley T. Hughes freebsd_committer 2019-09-24 20:01:53 UTC
This is a very nice change. The groff run-time dependency is heavy, and I would happily change it to use mandoc. Upstreaming this change would be a good idea, too, and if you haven't already, I will happily do so.

Thanks for the patches, I'll start getting them ready for commit now :)
Comment 5 nork 2019-09-25 02:44:01 UTC
Thank you.  I pull-requested to upstream, but ....

https://github.com/aws/aws-cli/pull/4505
Comment 6 commit-hook freebsd_committer 2019-09-25 19:02:56 UTC
A commit references this bug:

Author: bhughes
Date: Wed Sep 25 19:02:11 UTC 2019
New revision: 512804
URL: https://svnweb.freebsd.org/changeset/ports/512804

Log:
  devel/awscli: use mandoc instead of groff, suggest auto-complete

  Add patch from PR 240664 to use mandoc instead of groff, and remove the
  DOCS option and runtime dependency on groff. Bump PORTREVISION due to
  the change in package dependencies.

  While here, add pkg-message with instructions on how to enable auto-
  complete for awscli.

  PR:		240664
  Submitted by:	nork@ninth-nine.com
  Sponsored by:	Miles AS

Changes:
  head/devel/awscli/Makefile
Comment 7 commit-hook freebsd_committer 2019-09-25 19:06:58 UTC
A commit references this bug:

Author: bhughes
Date: Wed Sep 25 19:06:05 UTC 2019
New revision: 512805
URL: https://svnweb.freebsd.org/changeset/ports/512805

Log:
  devel/awscli: add files missing from r511778

  PR:		240664
  Submitted by:	nork@ninth-nine.com
  Sponsored by:	Miles AS

Changes:
  head/devel/awscli/files/
  head/devel/awscli/files/patch-awscli_help.py
  head/devel/awscli/files/pkg-message.in
Comment 8 Bradley T. Hughes freebsd_committer 2019-09-26 03:55:42 UTC
Committed, thanks for the patch! :)